- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_t

# mongoc_gridfs_create_file()

## Synopsis

    mongoc_gridfs_file_t *
    mongoc_gridfs_create_file (mongoc_gridfs_t *gridfs,
                               mongoc_gridfs_file_opt_t *opt);

## Parameters

- `gridfs`: A mongoc_gridfs_t.
- `opt`: A mongoc_gridfs_file_opt_t to specify file options.

## Description

This function shall create a new mongoc_gridfs_file_t.

Use mongoc_gridfs_file_writev() to write to the file.

## Returns

Returns a newly allocated mongoc_gridfs_file_t that should be freed with mongoc_gridfs_file_destroy().

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.